Package org.eclipse.lemminx.client

## Class LimitExceededWarner

- java.lang.Object
- - org.eclipse.lemminx.client.AbstractXMLNotifier
  - - org.eclipse.lemminx.client.LimitExceededWarner

    public class LimitExceededWarner
    extends AbstractXMLNotifier

LimitExceededWarner sends a warning to the client via a jsonrpc notification Cache is a Map<String, Set<String>> where the keys are the feature names and the values are the file paths for which notifications have been sent already

### Field Summary

### Fields inherited from class org.eclipse.lemminx.client.AbstractXMLNotifier

`cache`

### Constructor Summary

Constructors
`LimitExceededWarner​(IXMLNotificationService notificationService)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onResultLimitExceeded​(String uri, int resultLimit, LimitFeature feature)` Sends the limit exceeded warning to the client only if the provided uri does not exist in the cache After sending the warning, the uri is added to the cache
`void` `onResultLimitExceeded​(String uri, LimitFeature feature)` Sends the limit exceeded warning to the client only if the provided uri does not exist in the `feature`'s cache set After sending the warning, the uri is added to the `feature`'s cache set

### Methods inherited from class org.eclipse.lemminx.client.AbstractXMLNotifier

`addToCache, evictKey, evictValue, existsInCache, existsInCache, getSharedSettings, sendNotification, setCacheValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LimitExceededWarner

    public LimitExceededWarner​(IXMLNotificationService notificationService)

### Method Detail

#### onResultLimitExceeded

    public void onResultLimitExceeded​(String uri,
                                      LimitFeature feature)

Sends the limit exceeded warning to the client only if the provided uri does not exist in the `feature`'s cache set After sending the warning, the uri is added to the `feature`'s cache set

Parameters:
  `uri` - the file uri
  `featureName` - the feature name

#### onResultLimitExceeded

    public void onResultLimitExceeded​(String uri,
                                      int resultLimit,
                                      LimitFeature feature)

Sends the limit exceeded warning to the client only if the provided uri does not exist in the cache After sending the warning, the uri is added to the cache

Parameters:
  `uri` - the file uri
  `resultLimit` - the result limit
  `feature` - the feature